OpenVDB 5.1.0

Public Types | Public Member Functions | Public Attributes | List of all members
MaskInteriorTiles< TreeType, InternalNodeType > Struct Template Reference

`#include <LevelSetUtil.h>`

## Public Types
using | ValueType = typename TreeType::ValueType

## Public Member Functions
| MaskInteriorTiles (ValueType isovalue, const TreeType &tree, InternalNodeType **maskNodes)
void | operator() (const tbb::blocked_range< size_t > &range) const

## Public Attributes
TreeType const *const | mTree
InternalNodeType **const | mMaskNodes
ValueType const | mIsovalue

## Member Typedef Documentation

## ◆ ValueType

using ValueType = typename TreeType::ValueType

## Constructor & Destructor Documentation

## ◆ MaskInteriorTiles()

MaskInteriorTiles | ( | ValueType | isovalue,
|  | const TreeType & | tree,
|  | InternalNodeType ** | maskNodes
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) | const
| inline

## Member Data Documentation

## ◆ mIsovalue

ValueType const mIsovalue

## ◆ mMaskNodes

InternalNodeType** const mMaskNodes

## ◆ mTree

TreeType const* const mTree

The documentation for this struct was generated from the following file:

- LevelSetUtil.h